Subject: bug#48608: closed (Re: [bug#48608] [PATCH] gnu: services: missing wireguard related exports)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 May 2021 08:12:02 +0000

Your bug report

#48608: [PATCH] gnu: services: missing wireguard related exports

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48608: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48608
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48608] [PATCH] gnu: services: missing wireguard related exports
From: Guillaume Le Vaillant <[email-masked]>
To: Solene Rapenne <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 May 2021 08:11:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Patch pushed as ac95609208c0afe55d68bf42993ccb9b58ad44ce.
Thanks.

I added a copyright line for you, and more info to the commit message.
Also, the patch didn't apply cleanly. I suspect that your email client
mangled it by cutting a long line. Please find a way to prevent it from
doing that.

Subject: [PATCH] gnu: services: missing wireguard related exports
From: Solene Rapenne <[email-masked]>
To: [email-masked]
Date: Sun, 23 May 2021 13:14:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

While there I removed a weird character in the file

---
 gnu/services/vpn.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/services/vpn.scm b/gnu/services/vpn.scm
index 6fbe20a849..2e41147e17 100644
--- a/gnu/services/vpn.scm
+++ b/gnu/services/vpn.scm
@@ -48,6 +48,8 @@
             wireguard-peer-name
             wireguard-peer-endpoint
             wireguard-peer-allowed-ips
+            wireguard-peer-public-key
+            wireguard-peer-keep-alive
 
             wireguard-configuration
             wireguard-configuration?
@@ -526,7 +528,6 @@ is truncated and rewritten every minute.")
      (openvpn-remote-configuration
,openvpn-remote-configuration-fields)) 'openvpn-client-configuration))
 
-
 ;;;
 ;;; Wireguard.
 ;;;
-- 
2.31.1